<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# TARTALOMSZERK                                                    #
# Statikus tartalomszerkesztés                                     #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.23.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}
  // Fix szöveges tartalmak módosítása 
  echo "      <div class=alcim>".ucfirst($szoveg['stat_tartalom_szerk'])."</div>\n";

  echo "      <div class=\"szoveg\">\n";
  // A szövegekből kikeressük a statikus oldalakat
  $lekerdezes_statoldalak = lekerdezes("SELECT * FROM szovegek WHERE szoveg_azon RLIKE 'oldal_' ORDER BY szoveg_azon");
  // Ha léteznek ilyen oldalak, akkor szerkeszthetjük
  if (ossz_rekord($lekerdezes_statoldalak)>0) {
    echo "        <script language=\"Javascript\" src=\"".$dir['jscripts']."/tartalomszerkeszto.js\"></script>\n";
    echo "        <script language=\"Javascript\">\n";
    while($rekord_statoldalak = olvas_asszociativ($lekerdezes_statoldalak)) {
      echo "            oldal_azon.push('".$rekord_statoldalak[szoveg_azon]."');\n";  
      echo "            oldal_tartalom.push('".$rekord_statoldalak[szoveg]."');\n";
    }
    echo "        </script>\n";    
    echo "        <form name=\"tartalomszerkeszto\" method=\"get\" action=\"".$php."\">\n";
    echo "          <select name=\"oldalazon\" class=\"kereses\" onChange=\"kiir_oldaltartalom(this.form)\">\n";
    echo "            <option id=\"elso\" value=\"\">".ucfirst($szoveg['stat_tartalom_szerk'])."</option>\n";
    rekord_ugras($lekerdezes_statoldalak,0);
    while($rekord_statoldalak = olvas_asszociativ($lekerdezes_statoldalak)) {
      echo "            <option value=\"".$rekord_statoldalak[szoveg_azon]."\">".$rekord_statoldalak[szoveg_azon]." - ".substr(strip_tags($rekord_statoldalak[szoveg]),0,40)."...</option>\n";  
    }
    echo "          </select><br>\n";
    echo "          <div id=\"oldaltartalom\">\n";
    echo "            <textarea name=\"tartalom\" class=\"statikus\" cols=\"120\" rows=\"10\"></textarea>\n";
    echo "            <input type=\"button\" value=\"Módosít\" class=\"keresesgomb\">\n"; 
    echo "          </div>\n";
    echo "        </form>\n";
  }
  // egyébként nincsenek stat. tartalmú oldalak :(
  else
    echo "        <div class=\"hiba\">".ucfirst($szoveg['nincs_stat_tart']).".</div>\n";
  echo "      </div>\n";
?>
